Can't execute make on 2.6.33-rcX

If you have trouble with PHC you can ask and hope for help here.
Post Reply
rem5
Posts: 6
Joined: Sat 4. Jul 2009, 19:07

Can't execute make on 2.6.33-rcX

Post by rem5 » Sat 6. Feb 2010, 16:56

Hi,

Not sure it has to do with PHC but with 2.6.33-rcX, I can't execute make prepare or make clean or make.

After validating the command line, it does nothing : just blinking cursor as if it is working but nothing..
I had to stop it with Ctrl^C.

But I can use make on kernel sources without any problem..

Any idea ?


Thanks

AndyP
Posts: 2
Joined: Wed 17. Feb 2010, 14:57

Re: Can't execute make on 2.6.33-rcX

Post by AndyP » Wed 17. Feb 2010, 15:07

Check if the utsrelease.h file exists in the include/linux directory of the kernel source.
It didn't for me so I created it manually.
Seems to contain 1 line

#define UTS_RELEASE "2.6.33-rc7"

or whatever uname -a returns. See if this helps

AndyP

rem5
Posts: 6
Joined: Sat 4. Jul 2009, 19:07

Re: Can't execute make on 2.6.33-rcX

Post by rem5 » Fri 19. Feb 2010, 18:47

yes that's it, thanks 8-)

this is really phc wich need to be patched :

in Makefile :

-KERNELVERSION=$(shell awk -F\" '/REL/ {print $$2}' $(shell grep -s -l REL $(KERNELSRC)/include/linux/version.h $(KERNELSRC)/include/linux/utsrelease.h))
+KERNELVERSION=$(shell awk -F\" '/REL/ {print $$2}' $(shell grep -s -l REL $(KERNELSRC)/include/linux/version.h $(KERNELSRC)/include/generated/utsrelease.h))

not a patch, but I suspect you should see what I mean :oops:

the-fallen
Administrator
Posts: 346
Joined: Wed 9. Jul 2008, 19:57

Re: Can't execute make on 2.6.33-rcX

Post by the-fallen » Sat 20. Feb 2010, 12:50

I will add that to the next release and upload it. Thanks for that guys.

You are really helping a lot with that.

I guess the "patch" is for kernels >= 2.6.33 ? Do you have a simple Idea how to deal with both, Kernels <= 2.6.32 and Kernels >= 2.6.33 ??

rem5
Posts: 6
Joined: Sat 4. Jul 2009, 19:07

Re: Can't execute make on 2.6.33-rcX

Post by rem5 » Tue 23. Feb 2010, 00:15

Yes it's only for 2.6.33, for the second question, haven't the time for the moment, will look at this later.... :(

Post Reply